<configuration>

	<property name="APP_NAME" value="poc-kafka-producer" />

	<property name="LOG_LEVEL" value="INFO" />

	<appender name="STDOUT"
		class="ch.qos.logback.core.ConsoleAppender">
		<encoder>
			<pattern>%d{HH:mm:ss.SSS} - %-10thread - %-5level - %-35logger{40} - %msg%n</pattern>
		</encoder>
	</appender>

	<appender name="FILE"
		class="ch.qos.logback.core.rolling.RollingFileAppender">
		<encoder>
			<pattern>%d{HH:mm:ss.SSS} - %-10thread - %-5level - %-35logger{40} - %msg%n</pattern>
		</encoder>
		<file>${APP_NAME}.log</file>
		<rollingPolicy
			class="ch.qos.logback.core.rolling.SizeAndTimeBasedRollingPolicy">
			<fileNamePattern>${APP_NAME}.%d{yyyy-MM-dd_HH-mm}.%i.log.zip
			</fileNamePattern>
			<maxFileSize>1MB</maxFileSize>
			<maxHistory>10</maxHistory>
		</rollingPolicy>
	</appender>


	<root level="${LOG_LEVEL}">
		<appender-ref ref="STDOUT" />
		<appender-ref ref="FILE" />
	</root>

	<logger name="br.com.tts" level="${LOG_LEVEL}"
		additivity="false">
		<appender-ref ref="STDOUT" />
		<appender-ref ref="FILE" />
	</logger>

	<logger name="org.apache.kafka" level="OFF"
		additivity="false">
		<appender-ref ref="STDOUT" />
		<appender-ref ref="FILE" />
	</logger>

</configuration>